﻿<?php
/*
 *  Copyright 2003-2033 dahantc.com Inc.All Rights Reserved.
 *
 */

include_once("./DahantcVoiceSDK.php");

/**
  * 帐户参数配置
  * 
  * 用户登录之后在开发者控制台【首页】寻找以下配置参数：
  * $accountSid: 帐号ID，对应开发者帐号下的 ACCOUNT SID
  * $authToken: 授权令牌，对应开发者帐号下的 AUTH TOKEN
  * $apiUrl: API调用路径，对应着开发者后台中的API URL
  * $appId: 应用ID，对应开发者控制台【应用管理】中的某个APP ID
  */
$accountSid	= 'xxxx4d09f23c453abd436914df8dxxxx';
$authToken	= 'xxxx76afde8d4a71b7462c85418axxxx';
$apiUrl		= 'https://voice.dahancloud.com/';
$appId		= 'xxxx2990b0a54bf88ad08432b45cxxxx';


/**
  * 语音接口调用说明
  * 
  * 假设您想给手机号159xxxx1234发送一段语音，
  * 您打算使用的模板ID为2，对应模板内容为："您的验证码是:{1}"
  * 给这个模板传入的参数为123456和2，则调用方式为：
  * sendVoice("159xxxx1234", "2", ['123456']);
  * 最终收到的语音内容为："您的验证码是:123456"
  */
//手机号码，模板ID，替换内容数组，实际调用请保证这些参数真实有效！
sendVoice("159xxxx1234", "2", ['123456']);


/**
  * 发送模板语音
  * @param to 手机号码，多个手机号码需用英文逗号分开
  * @param tempId 语音模板ID，对应开发者后台中的语音模板编号
  * @param datas 替换内容，格式为数组，例如：['123456']，如果模板中的内容不需要替换，需填 NULL
  */
function sendVoice($to, $tempId, $datas) {
     global $accountSid, $authToken, $appId, $apiUrl;

     // 初始化SDK
     $sdk = new VoiceSDK();
     $sdk->setAccountSid($accountSid);
     $sdk->setAuthToken($authToken);
     $sdk->setApiUrl($apiUrl);
     $sdk->setAppId($appId);
     
     // 发送模板语音
     echo "Send Voice to $to <br/>";
     $result = $sdk->sendVoice($to, $tempId, $datas);
     //echo "final result: " . var_dump($result) . "<br/>";

    echo $result->code;

     // 处理返回结果
     if($result->code == 'DH:0000') {
         echo "Send Voice Success! <br/>";
         
         // 获取返回信息
         echo "time: " . $result->time . "<br/>";//请求时间
         echo "msgid: " . $result->msgid. "<br/>";//该条语音id
         
         //TODO 成功处理
		 
     } else {
     	 echo "Send Voice Fail! <br/>";
         echo "error code: " . $result->code . "<br/>";//返回状态码
         echo "error ms: " . $result->msg . "<br/>";//返回状态信息
         
         //TODO 错误处理
         
     }

}

?>
